<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Trace/Entry.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::Trace::Entry</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>
</div><div class="class-name">struct <a href="../Trace.html" >Trace</a>::Entry

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/Trace.hh.html" target="detail">../Synopsis/Trace.hh</a></div> <div class="xref"><a href="../../../XRef/xref30.html#Synopsis_mTrace_mEntry" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Trace.hh.html#line29" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member function templates Summary:</div>
<div class="item"><div class="synopsis"><div class="template">template &lt;<span class="keyword">typename</span> T&gt;</div> &#160;const&#160;<a href="Entry.html" >Entry</a>&amp; <a class="name" id="operator_L_L_lconst.T_A_rconst">operator&lt;&lt;</a>(const&#160;T&amp; <span class="variable">t</span>) <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref30.html#Synopsis_mTrace_mEntry_moperator_L_L_lconst.T_A_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Trace.hh.html#line35" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Entry_lbool_r">Entry</a>(bool <span class="variable">e</span>)  </div> <div class="xref"><a href="../../../XRef/xref30.html#Synopsis_mTrace_mEntry_mEntry_lbool_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Trace.hh.html#line31" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Entry_lconst.Entry_A_r">Entry</a>(const&#160;<a href="Entry.html" >Entry</a>&amp; <span class="variable">e</span>)  </div> <div class="xref"><a href="../../../XRef/xref30.html#Synopsis_mTrace_mEntry_mEntry_lconst.Entry_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Trace.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<i>destructor</i> <a class="name" id="_tEntry_l_r">~Entry</a>()  </div> <div class="xref"><a href="../../../XRef/xref30.html#Synopsis_mTrace_mEntry_m_tEntry_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Trace.hh.html#line33" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Data members Summary:</div>
<div class="item"><div class="synopsis">bool <a class="name" id="enabled">enabled</a></div> <div class="xref"><a href="../../../XRef/xref30.html#Synopsis_mTrace_mEntry_menabled" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Trace.hh.html#line37" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:28:00 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
